Atk::Hyperlink Class Reference

Encapsulates a link or set of links in a hypertext document. More...

`#include <atkmm/hyperlink.h>`

Inheritance diagram for Atk::Hyperlink:
[legend]

## Public Member Functions

| Hyperlink (Hyperlink && src) noexcept
Hyperlink & | operator= (Hyperlink && src) noexcept
| ~Hyperlink () noexcept override
AtkHyperlink * | gobj ()
| Provides access to the underlying C GObject.
const AtkHyperlink * | gobj () const
| Provides access to the underlying C GObject.
AtkHyperlink * | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.
Glib::ustring | get_uri (int i) const
| Get a the URI associated with the anchor specified by i of link.
Glib::RefPtr< Atk::Object > | get_object (int i)
| Returns the item associated with this hyperlinks nth anchor.
Glib::RefPtr< const Atk::Object > | get_object (int i) const
| Returns the item associated with this hyperlinks nth anchor.
int | get_end_index () const
| Gets the index with the hypertext document at which this link ends.
int | get_start_index () const
| Gets the index with the hypertext document at which this link begins.
bool | is_valid () const
| Since the document that a link is associated with may have changed this method returns true if the link is still valid (with respect to the document it references) and false otherwise.
bool | is_inline () const
| Indicates whether the link currently displays some or all of its content inline.
int | get_n_anchors () const
| Gets the number of anchors associated with this hyperlink.
Glib::SignalProxy< void > | signal_link_activated ()
Glib::PropertyProxy_ReadOnly< bool > | property_selected_link () const
| Specifies whether the AtkHyperlink object is selected.
Glib::PropertyProxy_ReadOnly< int > | property_number_of_anchors () const
| The number of anchors associated with the AtkHyperlink object.
Glib::PropertyProxy_ReadOnly< int > | property_end_index () const
| The end index of the AtkHyperlink object.
Glib::PropertyProxy_ReadOnly< int > | property_start_index () const
| The start index of the AtkHyperlink object.
Public Member Functions inherited from Atk::Action
| Action (Action && src) noexcept
Action & | operator= (Action && src) noexcept
| ~Action () noexcept override
AtkAction * | gobj ()
| Provides access to the underlying C GObject.
const AtkAction * | gobj () const
| Provides access to the underlying C GObject.
bool | do_action (int i)
| Perform the specified action on the object.
int | get_n_actions () const
| Gets the number of accessible actions available on the object.
Glib::ustring | get_description (int i) const
| Returns a description of the specified action of the object.
Glib::ustring | get_name (int i) const
| Returns the name of the specified action of the object.
Glib::ustring | get_keybinding (int i)
| Returns a keybinding associated with this action, if one exists.
bool | set_description (int i, const Glib::ustring & desc)
| Sets a description of the specified action of the object.
Glib::ustring | get_localized_name (int i)
| Returns the localized name of the specified action of the object.

## Static Public Member Functions

static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.
Static Public Member Functions inherited from Atk::Action
static void | add_interface (GType gtype_implementer)
static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system.

## Protected Member Functions

virtual gchar * | get_uri_vfunc (int i) const
virtual Glib::RefPtr< Atk::Object > | get_object_vfunc (int i)
virtual int | get_end_index_vfunc () const
virtual int | get_start_index_vfunc () const
virtual bool | is_valid_vfunc () const
virtual int | get_n_anchors_vfunc () const
virtual guint | link_state_vfunc () const
virtual bool | is_selected_link_vfunc () const
virtual void | on_link_activated ()
| This is a default handler for the signal signal_link_activated().
Protected Member Functions inherited from Atk::Action
| Action ()
| You should derive from this class to use it.
virtual bool | do_action_vfunc (int i)
virtual int | get_n_actions_vfunc () const
virtual const char * | get_description_vfunc (int i) const
virtual const char * | get_name_vfunc (int i) const
virtual const char * | get_keybinding_vfunc (int i) const
virtual bool | set_description_vfunc (int i, const Glib::ustring & desc)

## Related Symbols

(Note that these are not member symbols.)
Glib::RefPtr< Atk::Hyperlink > | wrap (AtkHyperlink * object, bool take_copy=false)
| A Glib::wrap() method for this object.
Related Symbols inherited from Atk::Action
Glib::RefPtr< Atk::Action > | wrap (AtkAction * object, bool take_copy=false)
| A Glib::wrap() method for this object.

## Detailed Description

Encapsulates a link or set of links in a hypertext document.

## Constructor & Destructor Documentation

## Hyperlink()

Atk::Hyperlink::Hyperlink | ( | Hyperlink && | src | ) |

noexcept

## ~Hyperlink()

Atk::Hyperlink::~Hyperlink | ( |  | ) |

override noexcept

## Member Function Documentation

## get_end_index()

int Atk::Hyperlink::get_end_index | ( |  | ) | const

Gets the index with the hypertext document at which this link ends.

Returns
  The index with the hypertext document at which this link ends.

## get_end_index_vfunc()

virtual int Atk::Hyperlink::get_end_index_vfunc | ( |  | ) | const

protected virtual

## get_n_anchors()

int Atk::Hyperlink::get_n_anchors | ( |  | ) | const

Gets the number of anchors associated with this hyperlink.

Returns
  The number of anchors associated with this hyperlink.

## get_n_anchors_vfunc()

virtual int Atk::Hyperlink::get_n_anchors_vfunc | ( |  | ) | const

protected virtual

## get_object() [1/2]

Glib::RefPtr< Atk::Object > Atk::Hyperlink::get_object | ( | int | i | ) |

Returns the item associated with this hyperlinks nth anchor.

For instance, the returned Atk::Object will implement Atk::Text if link is a text hyperlink, Atk::Image if link is an image hyperlink etc.

Multiple anchors are primarily used by client-side image maps.

Parameters

  i | A (zero-index) integer specifying the desired anchor.

Returns
  An Atk::Object associated with this hyperlinks i-th anchor.

## get_object() [2/2]

Glib::RefPtr< const Atk::Object > Atk::Hyperlink::get_object | ( | int | i | ) | const

Returns the item associated with this hyperlinks nth anchor.

For instance, the returned Atk::Object will implement Atk::Text if link is a text hyperlink, Atk::Image if link is an image hyperlink etc.

Multiple anchors are primarily used by client-side image maps.

Parameters

  i | A (zero-index) integer specifying the desired anchor.

Returns
  An Atk::Object associated with this hyperlinks i-th anchor.

## get_object_vfunc()

virtual Glib::RefPtr< Atk::Object > Atk::Hyperlink::get_object_vfunc | ( | int | i | ) |

protected virtual

## get_start_index()

int Atk::Hyperlink::get_start_index | ( |  | ) | const

Gets the index with the hypertext document at which this link begins.

Returns
  The index with the hypertext document at which this link begins.

## get_start_index_vfunc()

virtual int Atk::Hyperlink::get_start_index_vfunc | ( |  | ) | const

protected virtual

## get_type()

GType Atk::Hyperlink::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

## get_uri()

Glib::ustring Atk::Hyperlink::get_uri | ( | int | i | ) | const

Get a the URI associated with the anchor specified by i of link.

Multiple anchors are primarily used by client-side image maps.

Parameters

  i | A (zero-index) integer specifying the desired anchor.

Returns
  A string specifying the URI.

## get_uri_vfunc()

virtual gchar * Atk::Hyperlink::get_uri_vfunc | ( | int | i | ) | const

protected virtual

## gobj() [1/2]

AtkHyperlink * Atk::Hyperlink::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

## gobj() [2/2]

const AtkHyperlink * Atk::Hyperlink::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

## gobj_copy()

AtkHyperlink * Atk::Hyperlink::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

## is_inline()

bool Atk::Hyperlink::is_inline | ( |  | ) | const

Indicates whether the link currently displays some or all of its content inline.

Ordinary HTML links will usually return false, but an inline <src> HTML element will return true.

Returns
  Whether or not this link displays its content inline.

## is_selected_link_vfunc()

virtual bool Atk::Hyperlink::is_selected_link_vfunc | ( |  | ) | const

protected virtual

## is_valid()

bool Atk::Hyperlink::is_valid | ( |  | ) | const

Since the document that a link is associated with may have changed this method returns true if the link is still valid (with respect to the document it references) and false otherwise.

Returns
  Whether or not this link is still valid.

## is_valid_vfunc()

virtual bool Atk::Hyperlink::is_valid_vfunc | ( |  | ) | const

protected virtual

## link_state_vfunc()

virtual guint Atk::Hyperlink::link_state_vfunc | ( |  | ) | const

protected virtual

## on_link_activated()

virtual void Atk::Hyperlink::on_link_activated | ( |  | ) |

protected virtual

This is a default handler for the signal signal_link_activated().

## operator=()

Hyperlink & Atk::Hyperlink::operator= | ( | Hyperlink && | src | ) |

noexcept

## property_end_index()

Glib::PropertyProxy_ReadOnly< int > Atk::Hyperlink::property_end_index | ( |  | ) | const

The end index of the AtkHyperlink object.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## property_number_of_anchors()

Glib::PropertyProxy_ReadOnly< int > Atk::Hyperlink::property_number_of_anchors | ( |  | ) | const

The number of anchors associated with the AtkHyperlink object.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## property_selected_link()

Glib::PropertyProxy_ReadOnly< bool > Atk::Hyperlink::property_selected_link | ( |  | ) | const

Specifies whether the AtkHyperlink object is selected.

Default value: false

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## property_start_index()

Glib::PropertyProxy_ReadOnly< int > Atk::Hyperlink::property_start_index | ( |  | ) | const

The start index of the AtkHyperlink object.

Default value: 0

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

## signal_link_activated()

Glib::SignalProxy< void > Atk::Hyperlink::signal_link_activated | ( |  | ) |

Slot Prototype:
  void on_my_link_activated()

Flags: Run Last

The signal link-activated is emitted when a link is activated.

## Friends And Related Symbol Documentation

## wrap()

Glib::RefPtr< Atk::Hyperlink > wrap | ( | AtkHyperlink * | object,
|  | bool | take_copy = false )

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.